Bug 500162 - internal system error: spawn of yumBackend.py failed
internal system error: spawn of yumBackend.py failed
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-11 09:24 EDT by David Timms
Modified: 2012-11-18 12:47 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-03 04:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of error message. (123.74 KB, image/png)
2009-05-11 09:24 EDT, David Timms
no flags Details
err (50.15 KB, application/octet-stream)
2012-11-18 12:43 EST, Andrei ILIE
no flags Details
err (50.15 KB, image/png)
2012-11-18 12:44 EST, Andrei ILIE
no flags Details

  None (edit)
Description David Timms 2009-05-11 09:24:15 EDT
Created attachment 343446 [details]
screenshot of error message.

Description of problem:
Error dialog is shown with no information on the source of the error.

Version-Release number of selected component (if applicable):
PackageKit-yum-0.4.6-8.fc11.i586

How reproducible:
once.

Steps to Reproduce:
1. machine upgraded from F10, updates, F11Preview, rawhide,
2. set boot line to runlevel 3
3. login as root (yes, I know)
4. startx into gnome desktop
5. start doing some tests, a minute or two later...

Actual results:
Over the top of the app I was working in is shown a dialog:
An internal system error has occurred.
! An internal system error has occurred.
A problem that we were not expecting haas occurred.
Please report this bug in your distribution bugtracker with the error description.
More Details: 
Spawn of helper '/usr/share/PackageKit/helpers/yum/yumBackend.py' failed

Expected results:
Clearer error message on the cause, and source of the message; not failing.

Additional info:
The machine seems to be ignoring the dhcp server provided nameserver ip, leaving the machine with operating ip protocol, but no name resolution. Not sure yet whether solving the name resolution problem makes this issue go away.
Comment 1 Richard Hughes 2009-05-11 13:21:10 EDT
Well, it's an internal error, as it's not supposed to ever happen! :-)

If you run "NETWORK=TRUE /usr/share/PackageKit/helpers/yum/yumBackend.py get-updates none" in gnome-terminal, what does it say?
Comment 2 Andrei ILIE 2012-11-18 12:42:52 EST
Confirming this against Fedora 17, PackageKit v0.7.5. Please see the attached screenshot.


$ NETWORK=TRUE /usr/share/PackageKit/helpers/yum/yumBackend.py get-updates none
bash: /usr/share/PackageKit/helpers/yum/yumBackend.py: Permission denied


$ ll /usr/share/PackageKit/helpers/yum/yumBackend.py
-rw-r--r--. 1 root root 149087 Jun 27 10:54 /usr/share/PackageKit/helpers/yum/yumBackend.py


$ head /usr/share/PackageKit/helpers/yum/yumBackend.py
#!/usr/bin/python
# Licensed under the GNU General Public License Version 2
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
Comment 3 Andrei ILIE 2012-11-18 12:43:33 EST
Created attachment 647243 [details]
err
Comment 4 Andrei ILIE 2012-11-18 12:44:10 EST
Created attachment 647244 [details]
err

Note You need to log in before you can comment on or make changes to this bug.